#!/bin/bash -xe

echo "deb [arch=amd64] ${APT_MIRANTIS_SALT_REPO}" > /etc/apt/sources.list.d/mcp_salt.list
apt-get update
apt-get install salt-formula* -y
salt-call saltutil.refresh_pillar
salt-call saltutil.sync_all
salt-call -t 5 --retcode-passthrough --no-color state.sls salt
salt-call -t 5 --retcode-passthrough --no-color state.sls linux.system.repo,linux.system.directory,linux.system.package
salt-call -t 5 --retcode-passthrough --no-color state.sls linux.system.file
salt-call -t 5 --retcode-passthrough --no-color state.sls docker.host
salt-call -t 5 --retcode-passthrough --no-color state.sls docker exclude=docker.client.registry
sleep 120
salt-call -t 5 --retcode-passthrough --no-color state.sls linux.network
salt-call -t 5 --retcode-passthrough --no-color state.sls nginx
